DevelopersAPIBundlesPacks
Create a pack
View as MarkdownRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/packs" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "mode": "fixed", "tiers": [ { "size": 1, "pack_price": 1 } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shop_id": "string", "name": "string", "mode": "fixed", "base_product_id": "string", "base_variant_id": "string", "eligible_product_ids": [ "string" ], "eligible": [ { "product_id": "string", "variant_id": "string", "title": "string", "image_url": "string", "price_each": "string" } ], "tiers": [ { "size": 1, "pack_price": 1, "shopify_product_id": "string", "shopify_variant_id": "string", "shopify_handle": "string" } ], "status": "draft", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}